<?php

namespace Artmark\Forms;

use Artmark\Forms\Attributes\VisibleAttributes;
use Artmark\Forms\Attributes\RequiredAttribute;
use Artmark\Forms\Attributes\ReadOnlyAttribute;
use Artmark\Forms\Attributes\DisabledAttribute;

/**
 * Description of AbstractVisibleField
 *
 * @author Andrey Pokidov <pokidov@e-traffic.ru>
 */
abstract class AbstractVisibleField extends AbstractField
{
    use VisibleAttributes, RequiredAttribute, ReadOnlyAttribute, DisabledAttribute;
    
    /**
     * 
     * @return array
     */
    public function getAssociativeAttributes()
    {
        $attributes = parent::getAssociativeAttributes();
        
        $this->appendVisibleAttributes($attributes);
        
        $this->appendRequiredAttribute($attributes);
        
        $this->appendReadOnlyAttribute($attributes);
        
        $this->appendDisabledAttribute($attributes);
        
        return $attributes;
    }
}
