<?php

namespace Artmark\Forms\Attributes;

/**
 * Description of MultipartAttribute
 *
 * @author Andrey Pokidov <pokidov@e-traffic.ru>
 */
trait MultipartAttribute
{
    /**
     *
     * @var boolean
     */
    private $multipart = false;
    
    /**
     * Есть ли в форме файлы
     * @return boolean
     */
    public function isMultipart()
    {
        return $this->multipart;
    }
    
    /**
     * Помечает форму как форму с файлами
     * @return $this
     */
    public function setMultipart()
    {
        $this->multipart = true;
        
        return $this;
    }
    
    /**
     * Помечает форму как форму без файлов
     * @return $this
     */
    public function setSinglePart()
    {
        $this->multipart = false;
        
        return $this;
    }
    
    protected function appendMultipartAttribute(array & $attributes)
    {
        if ($this->multipart) {
            $attributes['enctype'] = 'multipart/form-data';
        }
    }
}
