<?php

namespace Artmark\Forms\Fields;

use Artmark\Forms\AbstractChoiceOption;

/**
 * Description of RadioOption
 *
 * @author Andrey Pokidov <pokidov@e-traffic.ru>
 */
class RadioOption extends AbstractChoiceOption
{
    /**
     * The field which is the owner of the option
     * @var RadioField
     */
    private $field;
    
    public function __construct(RadioField $field, $value, $text)
    {
        parent::__construct($value, $text);
        
        $this->field = $field;
    }
    
    /**
     * Метод возвращает поле типа RadioField
     * @return RadioField
     */
    public function field()
    {
        return $this->field;
    }
}
