<?php

namespace Artmark\Forms\Fields;

use Artmark\Forms\AbstractChoiceOption;

/**
 * Description of SelectionOption
 *
 * @author Andrey Pokidov <andrey.pokidov@gmail.com>
 */
class SelectOption extends AbstractChoiceOption
{
    /**
     * The field which is the owner of the option
     * @var SelectField
     */
    private $field;
    
    public function __construct(SelectField $field, $value, $text)
    {
        parent::__construct($value, $text);
        
        $this->field = $field;
    }
    
    /**
     * Метод возвращает поле типа SelectField
     * @return SelectField
     */
    public function field()
    {
        return $this->field;
    }
}
