<?php

namespace Artmark\Forms\Fields;

use Artmark\Forms\AbstractVisibleField;

/**
 * Description of TextField
 *
 * @author Andrey Pokidov <pokidov@e-traffic.ru>
 */
class TextAreaField extends AbstractVisibleField
{
    private $value = '';
    
    public function __construct($form, $name, $value = '')
    {
        parent::__construct($form, 'textarea', $name);
        
        $this->setValue($value);
    }
    
    /**
     * Возвращает ранее заданное значение поля
     * @return string
     */
    public function value()
    {
        return $this->value;
    }
    
    /**
     * Устанавливает новое значение для поля
     * @param mixed $newValue новое значение
     * @return $this
     */
    public function setValue($newValue)
    {
        $this->value = strval($newValue);
    }
}
